TransactionVerificationException.ConflictingAttachmentsRejection
Keywords: net.corda.core.contracts.TransactionVerificationException.ConflictingAttachmentsRejection class
Date: 2023-09-18

net.corda.core.contracts

## Class TransactionVerificationException.ConflictingAttachmentsRejection

- Enclosing class:
    TransactionVerificationException

      public static class TransactionVerificationException.ConflictingAttachmentsRejection

  Indicates this transaction violates the "no overlap" rule: two attachments are trying to provide the same file path. Whereas Java classpaths would normally allow that with the first class taking precedence, this is not allowed in transactions for security reasons. This usually indicates that two separate apps share a dependency, in which case you could try 'shading the fat jars' to rename classes of dependencies. Or you could manually attach dependency JARs when building the transaction.

- - ### Constructor Detail

    - #### ConflictingAttachmentsRejection

          public ConflictingAttachmentsRejection(@NotNull
                                                 SecureHash txId,
                                                 @NotNull
                                                 java.lang.String contractClass)

      Indicates this transaction violates the "no overlap" rule: two attachments are trying to provide the same file path. Whereas Java classpaths would normally allow that with the first class taking precedence, this is not allowed in transactions for security reasons. This usually indicates that two separate apps share a dependency, in which case you could try 'shading the fat jars' to rename classes of dependencies. Or you could manually attach dependency JARs when building the transaction.

      Parameters:
        `contractClass` - The fully qualified class name of the failing contract.

  - ### Method Detail

    - #### getContractClass

          @NotNull
          public java.lang.String getContractClass()

      The fully qualified class name of the failing contract.